=== debian/changelog ===
dde-network-core (2.0.71) unstable; urgency=medium

  * fix: Modify DNS name
  * fix: disable thousands separator in numeric input fields
  * i18n: Updates for project Deepin Desktop Environment (#411)
  * fix: Move dnetwork-secret-dialog from dde-session-ui
  * fix: Add icon resources

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 23 Oct 2025 16:00:16 +0800

dde-network-core (2.0.70) unstable; urgency=medium

  * fix: Add CancelGetsSecrets processing
  * fix: add comprehensive wireless network icons
  * fix: Update translation
  * [dde-network-core] Updates for project Deepin Desktop Environment
    (#405)
  * fix: Add switch button
  * fix: depends on dnsmasq-base
  * fix: Modify disable network error issues

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 16 Oct 2025 20:55:18 +0800

dde-network-core (2.0.69) unstable; urgency=medium

  * feat: Update translation
  * [dde-network-core] Updates for project Deepin Desktop Environment
    (#401)
  * feat: Migrate network-related code from dde-daemon

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 10 Oct 2025 17:26:00 +0800

dde-network-core (2.0.68) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#399)
  * fix: prevent DNS assignment in disabled network modes
  * fix: 网络图标展示为黑色
  * fix: update MTU configuration with valid range

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 04 Sep 2025 20:19:34 +0800

dde-network-core (2.0.67) unstable; urgency=medium

  * fix: allow empty IP list in manual mode and emit edit signals

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 21 Aug 2025 19:49:26 +0800
